UsersResourceApi (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger

## Class UsersResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.UsersResourceApi

-     public class UsersResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UsersResourceApi()`
    `UsersResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiUser2List` | `createUsers2(ApiUser2List body)` Creates a list of users.
    `okhttp3.Call` | `createUsers2Async(ApiUser2List body, ApiCallback<ApiUser2List> callback)` Creates a list of users.
    `okhttp3.Call` | `createUsers2Call(ApiUser2List body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for createUsers2
    `ApiResponse<ApiUser2List>` | `createUsers2WithHttpInfo(ApiUser2List body)` Creates a list of users.
    `ApiUser2` | `deleteUser2(String userName)` Deletes a user from the system.
    `okhttp3.Call` | `deleteUser2Async(String userName, ApiCallback<ApiUser2> callback)` Deletes a user from the system.
    `okhttp3.Call` | `deleteUser2Call(String userName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteUser2
    `ApiResponse<ApiUser2>` | `deleteUser2WithHttpInfo(String userName)` Deletes a user from the system.
    `void` | `expireSessions(String userName)` Expires the sessions associated with interactive authenticated user in Cloudera Manager.
    `okhttp3.Call` | `expireSessionsAsync(String userName, ApiCallback<Void> callback)` Expires the sessions associated with interactive authenticated user in Cloudera Manager.
    `okhttp3.Call` | `expireSessionsCall(String userName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for expireSessions
    `ApiResponse<Void>` | `expireSessionsWithHttpInfo(String userName)` Expires the sessions associated with interactive authenticated user in Cloudera Manager.
    `ApiClient` | `getApiClient()`
    `ApiUserSessionList` | `getSessions()` Return a list of the sessions associated with interactive authenticated users in Cloudera Manager.
    `okhttp3.Call` | `getSessionsAsync(ApiCallback<ApiUserSessionList> callback)` Return a list of the sessions associated with interactive authenticated users in Cloudera Manager.
    `okhttp3.Call` | `getSessionsCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getSessions
    `ApiResponse<ApiUserSessionList>` | `getSessionsWithHttpInfo()` Return a list of the sessions associated with interactive authenticated users in Cloudera Manager.
    `ApiUser2` | `readUser2(String userName)` Returns detailed information about a user.
    `okhttp3.Call` | `readUser2Async(String userName, ApiCallback<ApiUser2> callback)` Returns detailed information about a user.
    `okhttp3.Call` | `readUser2Call(String userName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readUser2
    `ApiResponse<ApiUser2>` | `readUser2WithHttpInfo(String userName)` Returns detailed information about a user.
    `ApiUser2List` | `readUsers2(String view)` Returns a list of the user names configured in the system.
    `okhttp3.Call` | `readUsers2Async(String view, ApiCallback<ApiUser2List> callback)` Returns a list of the user names configured in the system.
    `okhttp3.Call` | `readUsers2Call(String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readUsers2
    `ApiResponse<ApiUser2List>` | `readUsers2WithHttpInfo(String view)` Returns a list of the user names configured in the system.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiUser2` | `updateUser2(String userName, ApiUser2 body)` Updates the given user's information.
    `okhttp3.Call` | `updateUser2Async(String userName, ApiUser2 body, ApiCallback<ApiUser2> callback)` Updates the given user's information.
    `okhttp3.Call` | `updateUser2Call(String userName, ApiUser2 body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateUser2
    `ApiResponse<ApiUser2>` | `updateUser2WithHttpInfo(String userName, ApiUser2 body)` Updates the given user's information.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UsersResourceApi

          public UsersResourceApi()

    - #### UsersResourceApi

          public UsersResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### createUsers2Call

          public okhttp3.Call createUsers2Call(ApiUser2List body,
                                               ProgressResponseBody.ProgressListener progressListener,
                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                        throws ApiException

      Build call for createUsers2
      Parameters:
        `body` - List of users to create. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### createUsers2

          public ApiUser2List createUsers2(ApiUser2List body)
                                    throws ApiException

      Creates a list of users. Creates a list of users. <p> When creating new users, the <i>password</i> property of each user should be their plain text password. The returned user information will not contain any password information. <p/>
      Parameters:
        `body` - List of users to create. (optional)
      Returns:
        ApiUser2List
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createUsers2WithHttpInfo

          public ApiResponse<ApiUser2List> createUsers2WithHttpInfo(ApiUser2List body)
                                                             throws ApiException

      Creates a list of users. Creates a list of users. <p> When creating new users, the <i>password</i> property of each user should be their plain text password. The returned user information will not contain any password information. <p/>
      Parameters:
        `body` - List of users to create. (optional)
      Returns:
        ApiResponse<ApiUser2List>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createUsers2Async

          public okhttp3.Call createUsers2Async(ApiUser2List body,
                                                ApiCallback<ApiUser2List> callback)
                                         throws ApiException

      Creates a list of users. (asynchronously) Creates a list of users. <p> When creating new users, the <i>password</i> property of each user should be their plain text password. The returned user information will not contain any password information. <p/>
      Parameters:
        `body` - List of users to create. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteUser2Call

          public okhttp3.Call deleteUser2Call(String userName,
                                              ProgressResponseBody.ProgressListener progressListener,
                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                       throws ApiException

      Build call for deleteUser2
      Parameters:
        `userName` - The name of the user to delete. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteUser2

          public ApiUser2 deleteUser2(String userName)
                               throws ApiException

      Deletes a user from the system. Deletes a user from the system. <p/>
      Parameters:
        `userName` - The name of the user to delete. (required)
      Returns:
        ApiUser2
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteUser2WithHttpInfo

          public ApiResponse<ApiUser2> deleteUser2WithHttpInfo(String userName)
                                                        throws ApiException

      Deletes a user from the system. Deletes a user from the system. <p/>
      Parameters:
        `userName` - The name of the user to delete. (required)
      Returns:
        ApiResponse<ApiUser2>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteUser2Async

          public okhttp3.Call deleteUser2Async(String userName,
                                               ApiCallback<ApiUser2> callback)
                                        throws ApiException

      Deletes a user from the system. (asynchronously) Deletes a user from the system. <p/>
      Parameters:
        `userName` - The name of the user to delete. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### expireSessionsCall

          public okhttp3.Call expireSessionsCall(String userName,
                                                 ProgressResponseBody.ProgressListener progressListener,
                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                          throws ApiException

      Build call for expireSessions
      Parameters:
        `userName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### expireSessions

          public void expireSessions(String userName)
                              throws ApiException

      Expires the sessions associated with interactive authenticated user in Cloudera Manager. Expires the sessions associated with interactive authenticated user in Cloudera Manager. This can be used by Full Admin/User Admin users only. <p> Note that these sessions are only associated with a user who log into the web interface. Sessions of an API user will not be affected.
      Parameters:
        `userName` - (required)
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### expireSessionsWithHttpInfo

          public ApiResponse<Void> expireSessionsWithHttpInfo(String userName)
                                                       throws ApiException

      Expires the sessions associated with interactive authenticated user in Cloudera Manager. Expires the sessions associated with interactive authenticated user in Cloudera Manager. This can be used by Full Admin/User Admin users only. <p> Note that these sessions are only associated with a user who log into the web interface. Sessions of an API user will not be affected.
      Parameters:
        `userName` - (required)
      Returns:
        ApiResponse<Void>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### expireSessionsAsync

          public okhttp3.Call expireSessionsAsync(String userName,
                                                  ApiCallback<Void> callback)
                                           throws ApiException

      Expires the sessions associated with interactive authenticated user in Cloudera Manager. (asynchronously) Expires the sessions associated with interactive authenticated user in Cloudera Manager. This can be used by Full Admin/User Admin users only. <p> Note that these sessions are only associated with a user who log into the web interface. Sessions of an API user will not be affected.
      Parameters:
        `userName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getSessionsCall

          public okhttp3.Call getSessionsCall(ProgressResponseBody.ProgressListener progressListener,
                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                       throws ApiException

      Build call for getSessions
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getSessions

          public ApiUserSessionList getSessions()
                                         throws ApiException

      Return a list of the sessions associated with interactive authenticated users in Cloudera Manager. Return a list of the sessions associated with interactive authenticated users in Cloudera Manager. <p> Note that these sessions are only associated with users who log into the web interface. API users will not appear.
      Returns:
        ApiUserSessionList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getSessionsWithHttpInfo

          public ApiResponse<ApiUserSessionList> getSessionsWithHttpInfo()
                                                                  throws ApiException

      Return a list of the sessions associated with interactive authenticated users in Cloudera Manager. Return a list of the sessions associated with interactive authenticated users in Cloudera Manager. <p> Note that these sessions are only associated with users who log into the web interface. API users will not appear.
      Returns:
        ApiResponse<ApiUserSessionList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getSessionsAsync

          public okhttp3.Call getSessionsAsync(ApiCallback<ApiUserSessionList> callback)
                                        throws ApiException

      Return a list of the sessions associated with interactive authenticated users in Cloudera Manager. (asynchronously) Return a list of the sessions associated with interactive authenticated users in Cloudera Manager. <p> Note that these sessions are only associated with users who log into the web interface. API users will not appear.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readUser2Call

          public okhttp3.Call readUser2Call(String userName,
                                            ProgressResponseBody.ProgressListener progressListener,
                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                     throws ApiException

      Build call for readUser2
      Parameters:
        `userName` - The user to read. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readUser2

          public ApiUser2 readUser2(String userName)
                             throws ApiException

      Returns detailed information about a user. Returns detailed information about a user.
      Parameters:
        `userName` - The user to read. (required)
      Returns:
        ApiUser2
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readUser2WithHttpInfo

          public ApiResponse<ApiUser2> readUser2WithHttpInfo(String userName)
                                                      throws ApiException

      Returns detailed information about a user. Returns detailed information about a user.
      Parameters:
        `userName` - The user to read. (required)
      Returns:
        ApiResponse<ApiUser2>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readUser2Async

          public okhttp3.Call readUser2Async(String userName,
                                             ApiCallback<ApiUser2> callback)
                                      throws ApiException

      Returns detailed information about a user. (asynchronously) Returns detailed information about a user.
      Parameters:
        `userName` - The user to read. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readUsers2Call

          public okhttp3.Call readUsers2Call(String view,
                                             ProgressResponseBody.ProgressListener progressListener,
                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                      throws ApiException

      Build call for readUsers2
      Parameters:
        `view` - (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readUsers2

          public ApiUser2List readUsers2(String view)
                                  throws ApiException

      Returns a list of the user names configured in the system. Returns a list of the user names configured in the system.
      Parameters:
        `view` - (optional, default to summary)
      Returns:
        ApiUser2List
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readUsers2WithHttpInfo

          public ApiResponse<ApiUser2List> readUsers2WithHttpInfo(String view)
                                                           throws ApiException

      Returns a list of the user names configured in the system. Returns a list of the user names configured in the system.
      Parameters:
        `view` - (optional, default to summary)
      Returns:
        ApiResponse<ApiUser2List>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readUsers2Async

          public okhttp3.Call readUsers2Async(String view,
                                              ApiCallback<ApiUser2List> callback)
                                       throws ApiException

      Returns a list of the user names configured in the system. (asynchronously) Returns a list of the user names configured in the system.
      Parameters:
        `view` - (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateUser2Call

          public okhttp3.Call updateUser2Call(String userName,
                                              ApiUser2 body,
                                              ProgressResponseBody.ProgressListener progressListener,
                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                       throws ApiException

      Build call for updateUser2
      Parameters:
        `userName` - User name being updated. (required)
        `body` - The user information. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateUser2

          public ApiUser2 updateUser2(String userName,
                                      ApiUser2 body)
                               throws ApiException

      Updates the given user's information. Updates the given user's information. Note that the user's name cannot be changed.
      Parameters:
        `userName` - User name being updated. (required)
        `body` - The user information. (optional)
      Returns:
        ApiUser2
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateUser2WithHttpInfo

          public ApiResponse<ApiUser2> updateUser2WithHttpInfo(String userName,
                                                               ApiUser2 body)
                                                        throws ApiException

      Updates the given user's information. Updates the given user's information. Note that the user's name cannot be changed.
      Parameters:
        `userName` - User name being updated. (required)
        `body` - The user information. (optional)
      Returns:
        ApiResponse<ApiUser2>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateUser2Async

          public okhttp3.Call updateUser2Async(String userName,
                                               ApiUser2 body,
                                               ApiCallback<ApiUser2> callback)
                                        throws ApiException

      Updates the given user's information. (asynchronously) Updates the given user's information. Note that the user's name cannot be changed.
      Parameters:
        `userName` - User name being updated. (required)
        `body` - The user information. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2026. All rights reserved.